Subject: Re: linux-next: duplicate patches in the pci tree

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 14 May 2024 18:27:46 -0500

On Tue, May 14, 2024 at 11:58:38PM +0100, Conor Dooley wrote:
> On Wed, May 15, 2024 at 08:31:45AM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > The following commits are also in Linus Torvalds' tree as different
> > commits (but the same patches):
> > 
> >   8b77e887b96c ("dt-bindings: gpio: mpfs: Add coreGPIO support")
> >   8c24b6f1709f ("dt-bindings: gpio: mpfs: Allow gpio-line-names")
> 
> Neither of these, nor commit ff26bed00278 ("dt-bindings: riscv:
> microchip: Document beaglev-fire") should be in the PCI tree really.
> 
> ff26bed00278 ("dt-bindings: riscv: microchip: Document beaglev-fire")
> I don't mind if the PCI tree takes though, I didn't apply it for this
> cycle so there shouldn't be a clash there.

Hmmm, yeah.  I think we should drop these from the PCI tree:

  ff26bed00278 ("dt-bindings: riscv: microchip: Document beaglev-fire")
  8b77e887b96c ("dt-bindings: gpio: mpfs: Add coreGPIO support")
  8c24b6f1709f ("dt-bindings: gpio: mpfs: Allow gpio-line-names")

There's no obvious PCI connection for any of those.

Krzysztof, can you drop them from pci/dt-bindings?

> > These are commits
> > 
> >   6e12a52c1459 ("dt-bindings: gpio: mpfs: add coreGPIO support")
> >   f752a52d34cb ("dt-bindings: gpio: mpfs: allow gpio-line-names")
> > 
> > in Linus' tree.